## net.i2p.router
Class ShutdownHook

    java.lang.Object
      java.lang.Thread
          net.i2p.router.ShutdownHook

All Implemented Interfaces:
  java.lang.Runnable

class ShutdownHook
extends java.lang.Thread

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ShutdownHook(RouterContext ctx)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShutdownHook

    public ShutdownHook(RouterContext ctx)

Method Detail

### run

    public void run()